package com.lightinit.hsdataplatformresdir.json.pojo.solr;

import org.codehaus.jackson.annotate.JsonProperty;

import java.util.Map;

/**
 * Created by Mr.Yao on 2017/12/7.
 */
public class CoreResponseEntity {
    @JsonProperty("responseHeader")
    private ResponseHeaderEntity responseHeader;
    @JsonProperty("defaultCoreName")
    private String defaultCoreName;
    @JsonProperty("initFailures")
    private Object initFailures;
    @JsonProperty("status")
    private Map<String,CoreItemEntity> status;

    public ResponseHeaderEntity getResponseHeader() {
        return responseHeader;
    }

    public void setResponseHeader(ResponseHeaderEntity responseHeader) {
        this.responseHeader = responseHeader;
    }

    public String getDefaultCoreName() {
        return defaultCoreName;
    }

    public void setDefaultCoreName(String defaultCoreName) {
        this.defaultCoreName = defaultCoreName;
    }

    public Object getInitFailures() {
        return initFailures;
    }

    public void setInitFailures(Object initFailures) {
        this.initFailures = initFailures;
    }

    public Map<String, CoreItemEntity> getStatus() {
        return status;
    }

    public void setStatus(Map<String, CoreItemEntity> status) {
        this.status = status;
    }
}
